Crash dump error after upgrade to 2.3.2-RELEASE-p1.



  • Getting this error efter upgrading to 2.3.2-RELEASE-p1.

    Its a new Netgate XG-2758, where i loaded my old configuration, working fine, when i upgraded today to the new p1 release i got this error after a reboot.

    Unfortunately a Programming Bug has been detected

    
    					Crash report begins.  Anonymous machine information:
    
    amd64
    10.3-RELEASE-p9
    FreeBSD 10.3-RELEASE-p9 #1 5fc1b19(RELENG_2_3_2): Tue Sep 27 12:25:49 CDT 2016     root@factory23-amd64-builder:/builder/factory-232/tmp/obj/builder/factory-232/tmp/FreeBSD-src/sys/pfSense
    
    Crash report details:
    
    PHP Errors:
    [07-Oct-2016 14:56:50 Europe/Copenhagen] PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/suhosin.so' - /usr/local/lib/php/20131226/suhosin.so: Undefined symbol "ps_globals" in Unknown on line 0
    
    


  • UP



  • Similar to:
    https://forum.pfsense.org/index.php?topic=119344.0

    That topic also has info on how to fix:
    @dennypage:

    I had to update each of these by hand to get everything up to date in the /usr/local/lib/php/20131226 lib directory:

    pkg upgrade -f php-suhosin-0.9.38
    pkg upgrade -f pecl-ssh2-0.12
    pkg upgrade -f php56-pfSense-module-0.12
    pkg upgrade -f pecl-zmq-1.1.3_1
    pkg upgrade -f pecl-rrd-1.1.3_3
    pkg upgrade -f pecl-radius-1.3.0
    pkg upgrade -f php-xdebug-2.4.0
    
    

    I'm a bit concerned about other potential stale file issues. Is there any way to conduct a system wide validation?

    I'd rather not execute a complete re-install unless absolutely necessary.

    Regards,
    Jorge M. Oliveira



  • Thanks for your reply JorgeOliveira,

    i saw the post you are linking and i will try it, im just thinking that it must be a bug.

    The firewall did not have internet access when i upgraded it and i think that may have resulted it this situation.


Log in to reply